Bug 58621 - CS1703: An assembly `gactestlib' with the same identity has already been imported. Consider removing one of the references
Summary: CS1703: An assembly `gactestlib' with the same identity has already been impo...
Status: RESOLVED FIXED
Alias: None
Product: Compilers
Classification: Mono
Component: C# (show other bugs)
Version: 5.4 (2017-06)
Hardware: All All
: --- normal
Target Milestone: ---
Assignee: Marek Safar
URL:
Depends on:
Blocks:
 
Reported: 2017-08-07 15:14 UTC by Aleksey Kliger
Modified: 2017-08-08 15:35 UTC (History)
1 user (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Aleksey Kliger 2017-08-07 15:14:27 UTC
Building the mono/tests/testing_gac/app-both.cs example with MCS results in the following error:

    $ MONO_PATH=~/work/mono/mcs/class/lib/build ~/work/mono/runtime/mono-wrapper ~/work/mono/mcs/class/lib/build/mcs.exe -noconfig -nologo -debug:portable -target:library  -target:exe -out:app-both.exe -r:V1=signed_v1/gactestlib.dll /r:V2=signed_v2/gactestlib.dll app-both.cs
    error CS1703: An assembly `gactestlib' with the same identity has already been imported. Consider removing one of the references
    signed_v1/gactestlib.dll (Location of the symbol related to previous error)
    signed_v2/gactestlib.dll (Location of the symbol related to previous error)
    Compilation failed: 1 error(s), 0 warnings

Note that signed_v1/gactestlib.dll and signed_v2/gactestlib.dll both have the same name and public key token but different versions (1.0.0.0 and 1.1.0.0, respectively).

Roslyn is able to compile the above example successfully.
Comment 1 Marek Safar 2017-08-08 15:35:45 UTC
Fixed in master